Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 4.0.6

Description

Attachments link on issue page inside Files column is breaking and file is unable to view.

History

#1 - 2020-04-12 18:27 - Marius BĂLTEANU

- Status changed from New to Needs feedback

We need more details about the issue and how to reproduce it, please see Submissions.

#2 - 2020-04-14 20:58 - Sarthak Bakshi

- File Issue_File_Column_Link_View.png added

- File Issue_File_Link_View.png added

Hey Marius,

Thank you for reply.

Please find below details regarding the issue:

1) Ruby Version - 2.5.3

2) Rails Version - 5.2.2.1

Steps to reproduce the issue:

1) Install blank redmine ova (preferably any 4.0 version)

2) After successfull installation Create Demo/Sample project

3) In that project create new issue and attach files to that issue

4) Now if you go to the issue and check the files section - on hovering over attached file you can see the link to download the attched file.

5) Now if you go to the issues tab and from options add the column named file you can see the attachments in that column.

6) If you hover over that attachments you will be able to see that the link is breaking in half.

I am attaching the files for your reference for better understanding.

For some reason I am not able to assign this issue to you,

If you are seeing this, Please check and help.

Thanks!

#3 - 2020-04-14 23:15 - Mischa The Evil

FWIW: This also seems to be the subject of the No Attachements after update 2.5.0 -> 4.0.4 forum thread.

#4 - 2020-04-15 00:04 - Go MAEDA

Sarthak Bakshi wrote:

6) If you hover over that attachments you will be able to see that the link is breaking in half.

 I don't understand what does "the link is breaking in half" and what is broken. If you click the link, you will see the preview page of the attachment. Are

you saying that the preview page doesn't show up when you click on the link?

#5 - 2020-04-15 07:10 - Klaus Friese
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/boards/2/topics/59108


Mischa The Evil wrote:

FWIW: This also seems to be the subject of the No Attachements after update 2.5.0 -> 4.0.4 forum thread.

 Thanks, but I think my problem in the thread is different. I can download attachements and I can't see them in the attachement viewer because the

path contains /redmine/redmine/ and it should be /redmine/

#6 - 2020-04-15 08:57 - Sarthak Bakshi

Go MAEDA wrote:

Sarthak Bakshi wrote:

6) If you hover over that attachments you will be able to see that the link is breaking in half.

 I don't understand what does "the link is breaking in half" and what is broken. If you click the link, you will see the preview page of the

attachment. Are you saying that the preview page doesn't show up when you click on the link?

 Problem is the link is being displayed as /redmine/attachments/id instead of /redmine/attachments/id/filename.

To preview the file using magnifying icon file link should be /redmine/attachments/id/filename as the link is upto id field only file preview is throwing

error as "The requested content can not be loaded".

#7 - 2020-08-16 22:41 - Sarthak Bakshi

Nevermind I got the solution!
Issue_File_Link_View.png 63.8 KB 2020-04-14 Sarthak Bakshi

Issue_File_Column_Link_View.png 118 KB 2020-04-14 Sarthak Bakshi
